Template:Installation/Requirements

From diaspora* project wiki
< Template:Installation
Revision as of 10:18, 29 October 2014 by Jhass (talk | contribs) (Reverted edits by Framasoft member (talk) to last revision by Jhass)
Jump to: navigation, search

Requirements

Hardware

For running an average-sized pod, your server should have at the very least 512MB of RAM (+1GB swap space) and a decent multi-core CPU. The amount of hard disk space required largely depends on how many images you expect your users to upload. If you plan to run the database server on the same host you should allow for at least double the amount of RAM and disk space.

Software

  • Build tools - for compiling source packages
  • Ruby - the Ruby programming language
  • RubyGems - package manager for Ruby code libraries (like CPAN for Perl or PEAR for PHP)
  • Bundler - gem management tool for Ruby projects
  • - backend storage engine
  • OpenSSL - encryption library.
  • libcurl - multiprotocol file transfer library WARNING: Due to sidekiq longjmp error, you need at least curl 7.32
  • ImageMagick - image processing library
  • Git - version control system
  • Redis - persistent key-value store
  • one of the JavaScript runtimes on execjs' supported list.